QGIS Application - Bug report #14681
WFS Layer - Static Character Encoding
2016-04-14 02:24 AM - mais

Status: Rejected

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.14.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22645
Description

Hi all,

| have an WFS layer which is provided in UTF-8. The strings are parsed incorrectly which ends up in hieroglyphic labels.

Now there's no way to specify the encoding in the layer's properties. The drop-down menu is just empty for any WFS layer.

thanks and best regards,

Marius

History

#1 - 2016-04-14 05:29 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Web Services clients/WFS

Could you please post here the url of the server and the layer name?

#2 - 2016-04-14 05:33 AM - ma is

The WFS layer at

http.//qgis.npd.no/ogc/factmaps/2_0?SERVICE=WFS&#38;,VERSION=1.0.0&#38,REQUEST=GetFeature&#38,TYPENAME=dscAll&#38;SRSNAM
=EPSG:23032

Attribute dscName incorporates special norwegian letters.

Or, layer dscAll on

http.//gis.npd.no/ogc/factmaps/2_0?SERVICE=WFS&#38,REQUEST=GetCapabilities

best, Marius

#3 - 2016-04-14 06:39 AM - Giovanni Manghi
http://gis.npd.no/ogc/factmaps/2_0?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=dscAll&#38;SRSNAME=EPSG:23032
http://gis.npd.no/ogc/factmaps/2_0?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=dscAll&#38;SRSNAME=EPSG:23032
http://gis.npd.no/ogc/factmaps/2_0?SERVICE=WFS&#38;REQUEST=GetCapabilities

- Operating System deleted (Windows)
- Status changed from Feedback to Open

#4 - 2016-10-06 01:27 PM - Even Rouault
- Status changed from Open to Rejected

This is a (old MapServer) server issue. The response to GetFeature has a heading but the content is in UTF-8. | don't think we want to complicate the

code to workaround the server issue. MapServer 7.0 has now better support for UTF-8.
